Bug 825699 - Can't start pool with uuid and other commands with uuid issue
Can't start pool with uuid and other commands with uuid issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Osier Yang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 04:58 EDT by zhpeng
Modified: 2013-09-08 20:03 EDT (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:15:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhpeng 2012-05-28 04:58:50 EDT
Description
Can't start pool with uuid, and other commands like:net-start uuid, vol-create-as pooluuid xxxx...etc not support use with uuid.

Version
libvirt-0.9.10-21.el6.x86_64

How reproducible:
100%


Steps to Reproduce
0, prepare a pool
1,
virsh # pool-uuid nfs
9401f015-e2cb-2cb2-2c05-83ba92c8cb4b

virsh # pool-name 9401f015-e2cb-2cb2-2c05-83ba92c8cb4b
nfs

virsh # pool-start nfs
Pool nfs started

virsh # pool-destroy nfs
Pool nfs destroyed

virsh # pool-start 9401f015-e2cb-2cb2-2c05-83ba92c8cb4b
error: failed to get pool '9401f015-e2cb-2cb2-2c05-83ba92c8cb4b'
error: Storage pool not found: no pool with matching name '9401f015-e2cb-2cb2-2c05-83ba92c8cb4b'


Actual results:
error: failed to get pool '9401f015-e2cb-2cb2-2c05-83ba92c8cb4b'
error: Storage pool not found: no pool with matching name '9401f015-e2cb-2cb2-2c05-83ba92c8cb4b'


Expected results:
works

Additional info:
Comment 2 Osier Yang 2012-06-05 03:05:36 EDT
commit 68fcfdb8bd33ef323c6c4c5b9a92b1a44829eb6a
Author: Osier Yang <jyang@redhat.com>
Date:   Mon Jun 4 16:37:55 2012 +0800

    virsh: Accept UUID as an argument for net-info and net-start

commit 05f8917f965101d1d2142ff4529aefcebe22aeb2
Author: Osier Yang <jyang@redhat.com>
Date:   Mon Jun 4 16:35:34 2012 +0800

    virsh: Accept UUID as an argument for storage commands
    
    Affected commands are: pool-start, vol-create-from.


Commits are in upstream, move to POST.
Comment 4 Huang Wenlong 2012-07-23 22:50:14 EDT
Verify this bug with : 
libvirt-0.9.13-3.el6.x86_64

# virsh pool-uuid default
30d11a0d-856b-1931-2998-f32d5a0c1bc9

[root@intel-q9400-4-2 virsh-rail]# virsh pool-destroy 30d11a0d-856b-1931-2998-f32d5a0c1bc9
Pool 30d11a0d-856b-1931-2998-f32d5a0c1bc9 destroyed

[root@intel-q9400-4-2 virsh-rail]# virsh pool-start 30d11a0d-856b-1931-2998-f32d5a0c1bc9
Pool 30d11a0d-856b-1931-2998-f32d5a0c1bc9 started
Comment 5 errata-xmlrpc 2013-02-21 02:15:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.